<?php
namespace Models;

// Модель с ошибками и сообщениями
class Messeges {

	// данные о страницах
	function page_data($page) {
		$pages=array(
			'continue'=>array(
				'title'=>'Продолжить?',
				'inc'=>'messeges_continue.htm'
			)
		);
		$pages[$page]['page']=$page;

		return $pages[$page];
	}

	function messege($txt) {
		$inc=0;
		$incs=array(
			array('inc'=>'error.htm', 'title'=>'Ошибка'),
			array('inc'=>'messege.htm', 'title'=>''),
		);
		$txts=array(
			'error'=>array('txt'=>'Неизвестная ошибка', 'inc'=>0),
			'cashbox_users_not_found'=>array('txt'=>'В системе Агорта не указаны пользователи Кассы', 'inc'=>0),
			'db_error'=>array('txt'=>'Ошибка базы данных', 'inc'=>0),
			'file_is_not_delete'=>array('txt'=>'Не удалось удалить файл', 'inc'=>0),
			'not_enough_data'=>array('txt'=>'Не хвататет данных', 'inc'=>0),
			'user_not_found'=>array('txt'=>'Пользователь не найден', 'inc'=>0),
			'pass_incorrect'=>array('txt'=>'Неверный пароль', 'inc'=>0),
			'access_closed'=>array('txt'=>'Доступ закрыт', 'inc'=>0),
			'not_found'=>array('txt'=>'Ничего не найдено', 'inc'=>0, 'close'=>true),
			'no_synchronization_required'=>array('txt'=>'Синхронизация не требуется', 'inc'=>0),
			'sync_is_already_running'=>array('txt'=>'Синхронизация уже запущена', 'inc'=>0),
			'sync_is_running'=>array('txt'=>'Идет синхронизация кассы. Ждите.', 'inc'=>0),
			'change_not_open'=>array('txt'=>'Нет открытых смен', 'inc'=>0),
			'loading'=>array('txt'=>'Загрузка...', 'inc'=>1),
			'login_successful'=>array('txt'=>'Авторизация прошла успешно', 'inc'=>"1"),
			'logout_successful'=>array('txt'=>'Выход совершен', 'inc'=>1),
			'save_successful'=>array('txt'=>'Успешно сохранено', 'inc'=>1),
			'update'=>array('txt'=>'Обновлено '.date('d.m.Y H:i:s').'. Загрузка...', 'inc'=>1),
			'change_is_open'=>array('txt'=>'Смена открыта', 'inc'=>1),
			'change_is_close'=>array('txt'=>'Смена закрыта', 'inc'=>1),
			'x-report_is_ready'=>array('txt'=>'X-отчет сформирован', 'inc'=>1),
			'print_continue'=>array('txt'=>'Печать продолжена', 'inc'=>1),
			'success_products_synchronization'=>array('txt'=>'Товары и категории успешно синхронизированы', 'inc'=>1),
			'success_users_synchronization'=>array('txt'=>'Пользователи успешно синхронизированы', 'inc'=>1),
			'tickets_users_synchronization'=>array('txt'=>'Чеки успешно синхронизированы', 'inc'=>1),
		);

		if(isset($txts[$txt])) {
			$inc=$txts[$txt]['inc'];
			$close=$txts[$txt]['close'];
			$txt=$txts[$txt]['txt'];
		}

		return array(
			'txt'=>$txt,
			'title'=>$incs[$inc]['title'],
			'inc'=>$incs[$inc]['inc'],
			'close'=>$close
		);
	}
}